# NVPresentVideoUtil (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVPresentVideoUtil

    java.lang.Object
      org.lwjgl.opengl.NVPresentVideoUtil

    public final class NVPresentVideoUtil

extends java.lang.Object

This class exposes the platform specific functionality present in the NV_present_video extension.

Since:
  20/5/2011
Author:
  Spasi

Method Summary
`static boolean` `glBindVideoDeviceNV(int video_slot, long video_device, java.nio.IntBuffer attrib_list)` Binds the video output device specified to one of the context's available video output slots.
`static int` `glEnumerateVideoDevicesNV(java.nio.LongBuffer devices)` Enumerate the available video output devices.
`static boolean` `glQueryContextNV(int attrib, java.nio.IntBuffer value)` Queries an attribute associated with the current context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glEnumerateVideoDevicesNV

    public static int glEnumerateVideoDevicesNV(java.nio.LongBuffer devices)

  Enumerate the available video output devices. This method is the cross-platform equivalent of glXEnumerateVideoDevicesNV and wglEnumerateVideoDevicesNV. Since they are not really compatible, this method works like the WGL version. That is, you first call it with a null devices buffer, get the number of devices, then call it again with an appropriately sized buffer.

  Parameters:
    `devices` - the buffer to store devices in
  Returns:
    the number of available video output devices

### glBindVideoDeviceNV

    public static boolean glBindVideoDeviceNV(int video_slot,
                                              long video_device,
                                              java.nio.IntBuffer attrib_list)

  Binds the video output device specified to one of the context's available video output slots. This method is the cross-platform equivalent of glXBindVideoDeviceNV and wglBindVideoDeviceNV. To release a video device without binding another device to the same slot, call it with video_device set to 0 (will use INVALID_HANDLE_VALUE on WGL).

  Parameters:
    `video_slot` - the video slot
    `video_device` - the video device
    `attrib_list` - the attributes to use
  Returns:
    true if the binding was successful

### glQueryContextNV

    public static boolean glQueryContextNV(int attrib,
                                           java.nio.IntBuffer value)

  Queries an attribute associated with the current context. This method is the cross-platform equivalent of glXQueryContext and wglQueryCurrentContextNV.

  Parameters:
    `attrib` - the attribute to query
    `value` - the buffer to store the value in

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.